using System;

namespace Momir
{
    class Program
    {

        static public void Main()
        {
            var skener = Console.ReadLine().Split();
            ulong n = ulong.Parse(skener[0]);
            ulong m = ulong.Parse(skener[1]);
            ulong prsten = (m - 2) * 2 + n * 2;
            ulong krug = (n - 2) * (m - 2) / 2;
            Console.WriteLine(prsten + krug);
        }
    }
}